petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMCopyDS

Copy the discrete systems for the DM into another DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCopyDS(DM dm, DM newdm)

Collective on dm

### Input Parameter

dm -The DM

### Output Parameter

newdm -The DM

### See Also

DMCopyFields(), DMAddField(), DMGetDS(), DMGetCellDS(), DMGetRegionDS(), DMSetRegionDS()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages